/**
 * Compound literals in C aka anonymous arrays
 * Copyright (C) 2008 Markus Broeker
 */

#include <stdio.h>
#include <stdlib.h>
#include <assert.h>

static void show (char *arr[])
{
    int i = 0;

    assert (arr != NULL);
    while (arr[i] != NULL) {
        printf ("arr[%d] = %s\n", i, arr[i]);
        i++;
    }
}

int main (int argc, char **argv)
{
    show ((char *[]) {
          "Here", "we", "go", "again", NULL});
    return EXIT_SUCCESS;
}
